Bug 188431

Summary: Every python 2.7 port is generating broken .PLIST files
Product: Ports & Packages Reporter: Kevin Thompson <antiduh>
Component: Individual Port(s)Assignee: Johannes Jost Meixner <xmj>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Kevin Thompson 2014-04-10 17:30:00 UTC
Every single python package I try to reinstall is generating a .PLIST.pymodtmp and .PLIST.mktmp that includes a line for the egg-info directory, which means that the egg-info directory is treated like a file and pkgng complains:

> ===>   Registering installation for py27-cryptography-0.2.2_1 as automatic
> pkg-static: Plist error, directory listed as a file: lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info

Looking at .PLIST.pymodtmp:
> angst(/usr/ports/security/py-cryptography) # cat work/.PLIST.pymodtmp | grep egg-info
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info  # <--- this line should not be here
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info/dependency_links.txt
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info/not-zip-safe
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info/PKG-INFO
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info/requires.txt
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info/SOURCES.txt
> /usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info/top_level.txt

Editing the .PLIST.pymodtmp and .PLIST.mktmp files to remove the '..py2.7.egg-info' line fixes the problem.

This is happening for *every* python port I attempt to build and install:

> ===>  Installing for py27-openssl-0.14
> ===>   Registering installation for py27-openssl-0.14
> pkg-static: Plist error, directory listed as a file: lib/python2.7/site-packages/pyOpenSSL-0.14-> py2.7.egg-info
> *** Error code 74

> ===>  Installing for py27-sqlite3-2.7.6_3
> ===>   Registering installation for py27-sqlite3-2.7.6_3
> pkg-static: Plist error, directory listed as a file: lib/python2.7/lib-dynload/_sqlite3-0.0.0-py2.7.egg-info

> ===>  Installing for py27-xdg-0.25
> ===>   Registering installation for py27-xdg-0.25
> pkg-static: Plist error, directory listed as a file: lib/python2.7/site-packages/pyxdg-0.25-py2.7.egg-info

. and so on.

This machine was recently upgraded from FreeBSD 9 to 10.0, and I'm in the process of rebuilding most ports as part of that. My most recent portsnap was Thu Apr 10 08:22:00 EDT 2014'

-----

Here's some information about what's installed:
angst(~) # which pkg-static
/usr/local/sbin/pkg-static
angst(~) # pkg-static -v
1.2.7_2
angst(~) # pkg -v
1.2.7_2

angst(~) # pkg info | grep py
boost-python-libs-1.55.0       Framework for interfacing Python and C++
py27-bsddb-2.7.6_3             Standard Python bindings to the Berkeley DB library
py27-cffi-0.8.1                Foreign Function Interface for Python calling C code
py27-chardet-2.0.1_1           Character encoding auto-detection in Python
py27-cryptography-0.2.2_1      Expose cryptographic recipes and primitives to Python developers
py27-docutils-0.10             Python Documentation Utilities
py27-libxml2-2.8.0             Python interface for XML parser library for GNOME
py27-openssl-0.14              Python interface to the OpenSSL library
py27-pycparser-2.10            C parser in Python
py27-pytz-2014.1.1,1           World Timezone Definitions for Python
py27-setuptools27-2.0.1        Python packages installer
py27-six-1.5.2                 Python 2 and 3 compatibility utilities
py27-sqlite3-2.7.6_3           Standard Python binding to the SQLite3 library
py27-xdg-0.19                  A python library to access freedesktop.org standards
python-2.7_1,2                 The \"meta-port\" for the default version of Python interpreter
python2-2_2                    The "meta-port" for version 2 of the Python interpreter
python27-2.7.6_4               Interpreted object-oriented programming language
python32-3.2.5_8               Interpreted object-oriented programming language

angst(~) # cat /etc/make.conf
WITH_PKGNG=yes
# KRB5_HOME=/usr/local
# used by the pam_krb5 port
KRB5_IMPL=mit
KRB5_DOC=NO
DEFAULT_VERSIONS= ruby=1.9

angst(~) # cat /etc/src.conf
KERNCONF=ANGST64
WITHOUT_KERBEROS=YES
WITHOUT_SENDMAIL=YES
WITHOUT_KERNEL_SYMBOLS=YES

Fix: 

Workaround is to manually edit the .PLIST files after the build breaks, then continue the build.
How-To-Repeat: Try to install any python port for python2.7
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-04-12 05:15:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer(s).
Comment 2 William Grzybowski 2014-04-12 13:07:06 UTC
Hi,

Well, of course it will break if you upgrade setuptools, our
setuptools has a patch to handle a .PLIST issue with directories.

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 koobs 2014-04-12 13:24:17 UTC
Kevin,

Please note that you do *not* need to run the reproduction steps listed
above, and only need to provide the output of the ls -la command above.

We are interested in the contents of your Python 2.7 site-packages
because we have a theory as to what the cause is based on isolation
tests we have run on another users installation that is exhibiting
similar symptoms
Comment 4 Kevin Thompson 2014-04-12 14:24:59 UTC
> Well, of course it will break if you upgrade setuptools, our
> setuptools has a patch to handle a .PLIST issue with directories.

Could you elaborate? I was trying to follow instructions from  
/usr/ports/UPDATING:

> 20140307:
>   AFFECTS: users of devel/py-setuptools dependent ports
>   AUTHOR: sunpoet@FreeBSD.org
>  devel/py-setuptools is being used for every python ports (if  
> USE_PYDISTUTILS
>   defined) since r336553. Due to PKGORIGIN limitation, we cannot build  
> one
>   python port with python27 and the other with python33 since they  
> require
>   different setuptools versions which have same PKGORIGIN. With the  
> addition
>   of py-setuptools{27,32,33}, we could now have py27-foo and py33-bar  
> coexist
>   in one system.
>  Note that this is only a short-term solution. It does not help if you  
> need
>   coexistence of one port with different python versions, e.g. py27-foo  
> and
>   py33-foo.
>  Please rebuild all ports that depend on devel/py-setuptools and use
>   devel/py-setuptools{27,32,33} instead.
>  XX represents python version (27, 32 or 33) in the following steps.
>  pkgng users:
>  # pkg set -o devel/py-setuptools:devel/py-setuptoolsXX
>  portmaster users:
>  # portmaster -o devel/py-setuptoolsXX devel/py-setuptools
>   # portmaster -r py\*setuptools
>  portupgrade users:
>  # portupgrade -o devel/py-setuptoolsXX -f devel/py-setuptools
>   # portupgrade -fr devel/py-setuptools
Comment 5 Kevin Thompson 2014-04-12 14:37:02 UTC
> Please note that you do *not* need to run the reproduction steps listed
> above, and only need to provide the output of the ls -la command above.

> We are interested in the contents of your Python 2.7 site-packages
> because we have a theory as to what the cause is based on isolation
> tests we have run on another users installation that is exhibiting
> similar symptoms

Here you go:

angst(/usr/local/lib/python2.7/site-packages) > ls -ltra
total 3838
-rw-r--r--   1 root  wheel   1.7K Jun 11  2013 site.pyo
-rw-r--r--   1 root  wheel   1.7K Jun 11  2013 site.pyc
-r--r--r--   1 root  wheel   2.4K Jun 11  2013 site.py
-rw-r--r--   1 root  wheel    34B Jun 11  2013 setuptools.pth
-rw-r--r--   1 root  wheel   144B Jun 11  2013  
setuptools-0.6c11-py2.7.egg-info
-rw-r--r--   1 root  wheel   215B Jun 11  2013 distribute.pth
-rw-r--r--   1 root  wheel   849K Jun 11  2013 distribute-0.6.35-py2.7.egg
drwxr-xr-x   4 root  wheel   512B Jun 11  2013 Babel-0.9.6-py2.7.egg/
-rw-r--r--   1 root  wheel   6.4K Jun 13  2013 startfile.pyo
-rw-r--r--   1 root  wheel   6.4K Jun 13  2013 startfile.pyc
-rw-r--r--   1 root  wheel    23K Jun 13  2013 ScanView.pyo
-rw-r--r--   1 root  wheel    23K Jun 13  2013 ScanView.pyc
-rw-r--r--   1 root  wheel    11K Jun 13  2013 Reporter.pyo
-rw-r--r--   1 root  wheel    11K Jun 13  2013 Reporter.pyc
drwxr-xr-x   4 root  wheel   512B Jul  1  2013  
MarkupSafe-0.15-py2.7-freebsd-9.1-STABLE-amd64.egg/
drwxr-xr-x   2 root  wheel   2.0K Aug 18  2013 BitQueue/
drwxr-xr-x   2 root  wheel   1.0K Aug 18  2013 BitCrawler/
drwxr-xr-x   2 root  wheel   1.5K Aug 18  2013 khashmir/
drwxr-xr-x   2 root  wheel   4.0K Aug 18  2013 BitTorrent/
drwxr-xr-x   3 root  wheel   2.0K Aug 18  2013 BitTornado/
-rw-r--r--   1 root  wheel   228B Aug 18  2013 BTQueue-0.1.3-py2.7.egg-info
-rw-r--r--   1 root  wheel   580B Aug 18  2013  
pyOpenSSL-0.13-py2.7.egg-info
-rw-r--r--   1 root  wheel   126B Dec 13 11:31 easy_install.py
-rw-r--r--   1 root  wheel    22K Jan  6 10:54 six.py
-r--r--r--   1 root  wheel   119B Mar  6 02:07 README
drwxr-xr-x   2 root  wheel   512B Apr  4 09:34 lit34/
-rw-r--r--   1 root  wheel    96K Apr 10 08:26 pkg_resources.py
-rw-r--r--   1 root  wheel   104K Apr 10 08:26 pkg_resources.pyc
-rw-r--r--   1 root  wheel   321B Apr 10 08:26 easy_install.pyc
-rw-r--r--   1 root  wheel   104K Apr 10 08:26 pkg_resources.pyo
-rw-r--r--   1 root  wheel   321B Apr 10 08:26 easy_install.pyo
drwxr-xr-x   2 root  wheel   512B Apr 10 08:26 _markerlib/
drwxr-xr-x   2 root  wheel   512B Apr 10 08:26  
setuptools-2.0.1-py2.7.egg-info/
-r--r--r--   1 root  wheel   185B Apr 10 08:26 easy-install.pth.dist
drwxr-xr-x   4 root  wheel   1.5K Apr 10 08:39 setuptools/
drwxr-xr-x   2 root  wheel   512B Apr 10 08:45  
pytz-2014.1.1-py2.7.egg-info/
drwxr-xr-x   3 root  wheel   512B Apr 10 08:50 pytz/
-rw-r--r--   1 root  wheel   239B Apr 10 09:00 easy-install.pth
-rwxr-xr-x   1 root  wheel    92K Apr 10 12:01 _cffi_backend.so*
drwxr-xr-x   2 root  wheel   512B Apr 10 12:01  
pycparser-2.10-py2.7.egg-info/
drwxr-xr-x   3 root  wheel   1.0K Apr 10 12:02 pycparser/
drwxr-xr-x   2 root  wheel   512B Apr 10 12:02 cffi-0.8.1-py2.7.egg-info/
drwxr-xr-x   2 root  wheel   1.0K Apr 10 12:02 cffi/
-rw-r--r--   1 root  wheel    22K Apr 10 12:02 six.pyo
-rw-r--r--   1 root  wheel    22K Apr 10 12:02 six.pyc
drwxr-xr-x   2 root  wheel   512B Apr 10 12:02 six-1.5.2-py2.7.egg-info/
drwxr-xr-x   2 root  wheel   512B Apr 10 12:04  
cryptography-0.2.2-py2.7.egg-info/
drwxr-xr-x   3 root  wheel   512B Apr 10 12:11 cryptography/
drwxr-xr-x   2 root  wheel   512B Apr 10 12:11  
pyOpenSSL-0.14-py2.7.egg-info/
drwxr-xr-x   3 root  wheel   512B Apr 10 12:11 OpenSSL/
drwxr-xr-x  32 root  wheel    14K Apr 10 12:12 ../
drwxr-xr-x   2 root  wheel   512B Apr 10 13:22  
docutils-0.11-py2.7.egg-info/
drwxr-xr-x   8 root  wheel   1.0K Apr 10 13:22 docutils/
-rwxr-xr-x   1 root  wheel   1.1K Apr 10 13:43 libxml2mod.la*
-rw-r--r--   1 root  wheel   553K Apr 10 13:43 libxml2mod.a
-r--r--r--   1 root  wheel   335K Apr 10 13:43 libxml2.py
-r--r--r--   1 root  wheel    15K Apr 10 13:43 drv_libxml2.py
-rwxr-xr-x   1 root  wheel   376K Apr 10 13:43 libxml2mod.so*
-rw-r--r--   1 root  wheel   441K Apr 10 13:43 libxml2.pyo
-rw-r--r--   1 root  wheel   441K Apr 10 13:43 libxml2.pyc
-rw-r--r--   1 root  wheel    11K Apr 10 13:43 drv_libxml2.pyo
-rw-r--r--   1 root  wheel    11K Apr 10 13:43 drv_libxml2.pyc
drwxr-xr-x  26 root  wheel   2.0K Apr 11 13:41 ./
angst(/usr/local/lib/python2.7/site-packages) >


Here's a dump of pkg version -v for Johannes; I'd figure I'd include it  
since it doesn't require any state modificiation:

angst(~) > pkg version -v
BitchX-1.2.f,1                     =   up-to-date with port
OpenSP-1.5.2_2                     =   up-to-date with port
aescrypt-0.7_1                     =   up-to-date with port
alpine-2.00_4                      =   up-to-date with port
alsa-lib-1.0.27.2_1                =   up-to-date with port
alsa-plugins-1.0.27_2              =   up-to-date with port
ap22-mod_perl2-2.0.8,3             =   up-to-date with port
apache22-2.2.27_1                  <   needs updating (port has 2.2.27_2)
apr-1.5.0.1.5.3                    =   up-to-date with port
arc-5.21p                          =   up-to-date with port
arj-3.10.22_4                      =   up-to-date with port
arping-2.13                        =   up-to-date with port
aspell-0.60.6.1_4                  =   up-to-date with port
aspell-ispell-0.60.6.1             =   up-to-date with port
atk-2.8.0                          =   up-to-date with port
autoconf-2.13.000227_6             =   up-to-date with port
autoconf-2.69                      =   up-to-date with port
autoconf-wrapper-20131203          =   up-to-date with port
automake-1.14                      =   up-to-date with port
automake-wrapper-20131203          =   up-to-date with port
bacula-client-5.2.12_3             =   up-to-date with port
bacula-server-5.2.12_3             =   up-to-date with port
base64-1.5_1                       =   up-to-date with port
bash-4.3.8                         =   up-to-date with port
bdftopcf-1.0.4                     =   up-to-date with port
bind99-9.9.5_9                     <   needs updating (port has 9.9.5_10)
binutils-2.24                      =   up-to-date with port
bison-2.7.1,1                      =   up-to-date with port
bitstream-vera-1.10_5              =   up-to-date with port
boost-jam-1.55.0                   =   up-to-date with port
boost-libs-1.55.0_1                =   up-to-date with port
bsdadminscripts-6.1.1_4            =   up-to-date with port
btqueue-0.1.3_1                    =   up-to-date with port
c-ares-config-1.10.0               =   up-to-date with port
ca_root_nss-3.15.5                 =   up-to-date with port
cairo-1.10.2_7,2                   =   up-to-date with port
calc-2.12.4.13                     =   up-to-date with port
chrony-1.29.1                      =   up-to-date with port
clamassassin-1.2.4_5               =   up-to-date with port
clamav-0.98.1                      =   up-to-date with port
clang34-3.4_2                      =   up-to-date with port
cmake-2.8.12.1_4                   =   up-to-date with port
cmake-modules-2.8.12.1_1           =   up-to-date with port
compat7x-amd64-7.4.704000.201310.1 =   up-to-date with port
compositeproto-0.4.2               =   up-to-date with port
consolekit-0.4.3                   =   up-to-date with port
cowsay-3.03_2                      =   up-to-date with port
curl-7.36.0                        =   up-to-date with port
cyrus-sasl-2.1.26_5                =   up-to-date with port
damageproto-1.2.1                  =   up-to-date with port
db41-4.1.25_4                      =   up-to-date with port
db42-4.2.52_5                      =   up-to-date with port
db48-4.8.30.0                      =   up-to-date with port
dbus-1.6.18                        =   up-to-date with port
dbus-glib-0.100.2                  =   up-to-date with port
dcc-dccd-1.3.141                   =   up-to-date with port
dejavu-2.34_3                      =   up-to-date with port
desktop-file-utils-0.22_1          =   up-to-date with port
dhcping-1.2                        =   up-to-date with port
dialog4ports-0.1.5_2               =   up-to-date with port
dmidecode-2.12                     =   up-to-date with port
dnstop-20121017                    =   up-to-date with port
docbook-1.5                        =   up-to-date with port
docbook-sgml-4.5_1                 =   up-to-date with port
docbook-xml-5.0_1                  =   up-to-date with port
docbook-xsl-1.76.1_2               =   up-to-date with port
dovecot2-2.2.10                    =   up-to-date with port
dri-7.6.1_3,2                      =   up-to-date with port
dri2proto-2.8                      =   up-to-date with port
droid-fonts-ttf-20131024           =   up-to-date with port
eggdbus-0.6_1                      =   up-to-date with port
encodings-1.0.4_1,1                =   up-to-date with port
expat-2.1.0                        =   up-to-date with port
fftw3-3.3.3_1                      =   up-to-date with port
figlet-2.2.5                       =   up-to-date with port
fixesproto-5.0                     =   up-to-date with port
flex-2.5.39                        =   up-to-date with port
font-bh-ttf-1.0.3_1                =   up-to-date with port
font-misc-ethiopic-1.0.3_1         =   up-to-date with port
font-misc-meltho-1.0.3_1           =   up-to-date with port
font-util-1.3.0_1                  =   up-to-date with port
fontcacheproto-0.1.3               =   up-to-date with port
fontconfig-2.11.0_1,1              =   up-to-date with port
fontsproto-2.1.2                   =   up-to-date with port
freeglut-2.8.1                     =   up-to-date with port
freetype2-2.5.3                    =   up-to-date with port
gamin-0.1.10_7                     =   up-to-date with port
gcc-ecj-4.5                        =   up-to-date with port
gcc49-4.9.0.20140330               =   up-to-date with port
gccmakedep-1.0.2_1                 =   up-to-date with port
gdbm-1.11                          =   up-to-date with port
gdk-pixbuf2-2.28.2                 =   up-to-date with port
gettext-0.18.3.1                   =   up-to-date with port
glib-2.36.3_2                      =   up-to-date with port
glproto-1.4.17                     =   up-to-date with port
gmake-3.82_1                       =   up-to-date with port
gmp-5.1.3_1                        =   up-to-date with port
gnetcat-0.7.1_3                    =   up-to-date with port
gnome_subr-1.0                     =   up-to-date with port
gnomehier-3.0                      =   up-to-date with port
gnupg-2.0.22                       =   up-to-date with port
gnupg1-1.4.16_1                    =   up-to-date with port
gnutls-2.12.23_4                   =   up-to-date with port
gobject-introspection-1.36.0_2     =   up-to-date with port
gotmail-0.9.0_2                    =   up-to-date with port
graphite2-1.2.4                    =   up-to-date with port
gsfonts-8.11_6                     =   up-to-date with port
gstreamer-0.10.36                  =   up-to-date with port
gstreamer-plugins-0.10.36_3,3      =   up-to-date with port
gstreamer-plugins-good-0.10.31,3   =   up-to-date with port
gtk-update-icon-cache-2.24.22      =   up-to-date with port
gtk2-2.24.22_1                     =   up-to-date with port
hal-0.5.14_23                      =   up-to-date with port
harfbuzz-0.9.25_1                  =   up-to-date with port
healthd-0.7.9_2                    =   up-to-date with port
help2man-1.43.3_1                  =   up-to-date with port
hicolor-icon-theme-0.12            =   up-to-date with port
icu-52.1                           =   up-to-date with port
idnkit-1.0_3                       =   up-to-date with port
ifstat-1.1_5                       =   up-to-date with port
inputproto-2.3                     =   up-to-date with port
intltool-0.50.2                    =   up-to-date with port
irssi-0.8.15_6                     =   up-to-date with port
iso8879-1986_3                     =   up-to-date with port
ja-nkf-2.1.3,1                     =   up-to-date with port
jansson-2.5                        =   up-to-date with port
jasper-1.900.1_12                  =   up-to-date with port
jbig2dec-0.11_1                    =   up-to-date with port
jbigkit-1.6                        =   up-to-date with port
jpeg-8_4                           =   up-to-date with port
kbproto-1.0.6                      =   up-to-date with port
krb5-1.12.1                        =   up-to-date with port
ksh93-20120801_2                   =   up-to-date with port
lcms-1.19_2,1                      =   up-to-date with port
ldns-1.6.17                        =   up-to-date with port
lha-1.14i_6                        =   up-to-date with port
libGL-7.6.1_4                      =   up-to-date with port
libGLU-9.0.0                       =   up-to-date with port
libICE-1.0.8,1                     =   up-to-date with port
libIDL-0.8.14_1                    =   up-to-date with port
libSM-1.2.2,1                      =   up-to-date with port
libX11-1.6.2,1                     =   up-to-date with port
libXScrnSaver-1.2.2                =   up-to-date with port
libXau-1.0.8                       =   up-to-date with port
libXaw-1.0.12,2                    =   up-to-date with port
libXcomposite-0.4.4,1              =   up-to-date with port
libXcursor-1.1.14                  =   up-to-date with port
libXdamage-1.1.4                   =   up-to-date with port
libXdmcp-1.1.1                     =   up-to-date with port
libXext-1.3.2,1                    =   up-to-date with port
libXfixes-5.0.1                    =   up-to-date with port
libXfont-1.4.7,1                   =   up-to-date with port
libXfontcache-1.0.5                =   up-to-date with port
libXft-2.3.1                       =   up-to-date with port
libXi-1.7.2,1                      =   up-to-date with port
libXinerama-1.1.3,1                =   up-to-date with port
libXmu-1.1.2,1                     =   up-to-date with port
libXp-1.0.2,1                      =   up-to-date with port
libXpm-3.5.11                      =   up-to-date with port
libXrandr-1.4.2                    =   up-to-date with port
libXrender-0.9.8                   =   up-to-date with port
libXt-1.1.4,1                      =   up-to-date with port
libXtst-1.2.2                      =   up-to-date with port
libXv-1.0.10,1                     =   up-to-date with port
libXxf86misc-1.0.3                 =   up-to-date with port
libXxf86vm-1.1.3                   =   up-to-date with port
libassuan-2.1.1                    =   up-to-date with port
libcheck-0.9.12                    =   up-to-date with port
libchk-1.10.3                      =   up-to-date with port
libdaemon-0.14                     =   up-to-date with port
libdnet-1.11_3                     =   up-to-date with port
libdrm-2.4.17_1                    =   up-to-date with port
libelf-0.8.13_1                    =   up-to-date with port
libevent-1.4.14b_3                 =   up-to-date with port
libevent2-2.0.21                   =   up-to-date with port
libexecinfo-1.1_3                  =   up-to-date with port
libffi-3.0.13_1                    =   up-to-date with port
libfontenc-1.1.2                   =   up-to-date with port
libfpx-1.3.1.4                     =   up-to-date with port
libgcrypt-1.5.3_1                  =   up-to-date with port
libgpg-error-1.12                  =   up-to-date with port
libiconv-1.14_3                    =   up-to-date with port
libidn-1.28_1                      =   up-to-date with port
libksba-1.3.0                      =   up-to-date with port
libltdl-2.4.2_2                    =   up-to-date with port
libmcrypt-2.5.8                    =   up-to-date with port
libnet10-1.0.2a_5,1                =   up-to-date with port
libnet11-1.1.6_1,1                 =   up-to-date with port
libnotify-0.7.5                    =   up-to-date with port
libpci-3.2.1                       =   up-to-date with port
libpciaccess-0.13.2                =   up-to-date with port
libpthread-stubs-0.3_4             =   up-to-date with port
libqrencode-3.4.3                  =   up-to-date with port
libtasn1-3.3                       =   up-to-date with port
libtool-2.4.2_2                    =   up-to-date with port
libv4l-0.8.8_1                     =   up-to-date with port
libvolume_id-0.81.1                =   up-to-date with port
libvpx-1.3.0                       =   up-to-date with port
libxcb-1.9.3                       =   up-to-date with port
libxkbfile-1.0.8                   =   up-to-date with port
libxkbui-1.0.2_1                   =   up-to-date with port
libxml2-2.8.0_3                    =   up-to-date with port
libxslt-1.1.28_1                   =   up-to-date with port
libyaml-0.1.6                      =   up-to-date with port
linux_base-f10-10_7                =   up-to-date with port
linuxdoc-1.1_2                     =   up-to-date with port
llvm34-3.4                         =   up-to-date with port
lmmon-0.65_1                       =   up-to-date with port
lsof-4.88.g,8                      =   up-to-date with port
lua-5.1.5_6                        =   up-to-date with port
luit-1.1.1                         =   up-to-date with port
lynx-2.8.7.2,1                     =   up-to-date with port
lzo2-2.06_2                        =   up-to-date with port
m4-1.4.17_1,1                      =   up-to-date with port
makedepend-1.0.5,1                 =   up-to-date with port
mhash-0.9.9.9_1                    =   up-to-date with port
mime-support-3.54                  =   up-to-date with port
mkcmd-8.14                         =   up-to-date with port
mkfontdir-1.0.7                    =   up-to-date with port
mkfontscale-1.1.1                  =   up-to-date with port
mm-1.4.2                           =   up-to-date with port
mod_php5-5.4.27,1                  =   up-to-date with port
mpc-1.0.2                          =   up-to-date with port
mpfr-3.1.2_1                       =   up-to-date with port
msrc0-0.7                          =   up-to-date with port
mutt-1.5.23_1                      =   up-to-date with port
naim-0.11.8.3.2                    =   up-to-date with port
ncftp-3.2.5                        =   up-to-date with port
ndisc6-1.0.2_1                     =   up-to-date with port
neon29-0.29.6_4                    =   up-to-date with port
nettle-2.7.1                       =   up-to-date with port
nmap-6.40_2                        =   up-to-date with port
nspr-4.10.4                        =   up-to-date with port
nss-3.15.5                         =   up-to-date with port
oniguruma-4.7.1                    =   up-to-date with port
openssh-portable-6.6.p1,1          =   up-to-date with port
openssl-1.0.1_10                   =   up-to-date with port
orc-0.4.18                         =   up-to-date with port
p11-kit-0.20.2                     =   up-to-date with port
p5-Authen-NTLM-1.09                =   up-to-date with port
p5-Authen-SASL-2.16                =   up-to-date with port
p5-BSD-Resource-1.2907             =   up-to-date with port
p5-CPAN-Meta-2.140640              =   up-to-date with port
p5-CPAN-Meta-Requirements-2.125    =   up-to-date with port
p5-CPAN-Meta-YAML-0.012            =   up-to-date with port
p5-Compress-Raw-Bzip2-2.064        =   up-to-date with port
p5-Compress-Raw-Zlib-2.065         =   up-to-date with port
p5-Crypt-OpenSSL-Bignum-0.04       =   up-to-date with port
p5-Crypt-OpenSSL-RSA-0.28          =   up-to-date with port
p5-Crypt-OpenSSL-Random-0.06       =   up-to-date with port
p5-Crypt-SSLeay-0.64               =   up-to-date with port
p5-Digest-HMAC-1.03                =   up-to-date with port
p5-Digest-SHA1-2.13                =   up-to-date with port
p5-Encode-Detect-1.01              =   up-to-date with port
p5-Encode-Locale-1.03              =   up-to-date with port
p5-Error-0.17022                   =   up-to-date with port
p5-ExtUtils-CBuilder-0.2802.12,1   =   up-to-date with port
p5-ExtUtils-MakeMaker-6.90_1       =   up-to-date with port
p5-File-Listing-6.04               =   up-to-date with port
p5-GSSAPI-0.28                     =   up-to-date with port
p5-Geography-Countries-2009041301  =   up-to-date with port
p5-HTML-Parser-3.71                =   up-to-date with port
p5-HTML-Tagset-3.20                =   up-to-date with port
p5-HTTP-Cookies-6.01               =   up-to-date with port
p5-HTTP-Daemon-6.01                =   up-to-date with port
p5-HTTP-Date-6.02                  =   up-to-date with port
p5-HTTP-Message-6.06_2             =   up-to-date with port
p5-HTTP-Negotiate-6.01             =   up-to-date with port
p5-IO-HTML-1.00                    =   up-to-date with port
p5-IO-Socket-INET6-2.69            =   up-to-date with port
p5-IO-Socket-IP-0.29               =   up-to-date with port
p5-IO-Socket-SSL-1.975_1           =   up-to-date with port
p5-IO-String-1.08                  =   up-to-date with port
p5-IP-Country-2.28                 =   up-to-date with port
p5-JSON-PP-2.27203                 =   up-to-date with port
p5-LWP-MediaTypes-6.02             =   up-to-date with port
p5-LWP-Protocol-https-6.04         =   up-to-date with port
p5-Locale-gettext-1.05_3           =   up-to-date with port
p5-Mail-DKIM-0.40                  =   up-to-date with port
p5-Mail-SPF-2.9.0_1                =   up-to-date with port
p5-Mail-Tools-2.13                 =   up-to-date with port
p5-Math-BigInt-1.997               =   up-to-date with port
p5-Module-Build-0.4205             =   up-to-date with port
p5-Module-Version-0.12             =   up-to-date with port
p5-Mozilla-CA-20130114             =   up-to-date with port
p5-Net-1.25,1                      =   up-to-date with port
p5-Net-DNS-0.74_1                  =   up-to-date with port
p5-Net-DNS-Resolver-Programmable-0.003_1 =   up-to-date with port
p5-Net-HTTP-6.06                   =   up-to-date with port
p5-Net-IP-1.26                     =   up-to-date with port
p5-Net-SSLeay-1.58                 =   up-to-date with port
p5-NetAddr-IP-4.069_1              =   up-to-date with port
p5-Parse-CPAN-Meta-1.44.14         =   up-to-date with port
p5-Scalar-List-Utils-1.35,1        =   up-to-date with port
p5-Socket-2.013                    =   up-to-date with port
p5-Socket6-0.25_1                  =   up-to-date with port
p5-Spiffy-0.31                     =   up-to-date with port
p5-Test-Deep-0.112                 =   up-to-date with port
p5-Test-NoWarnings-1.04_1          =   up-to-date with port
p5-Test-Simple-1.001.002           =   up-to-date with port
p5-Test-Tester-0.10.9              =   up-to-date with port
p5-TimeDate-2.30_1,1               =   up-to-date with port
p5-URI-1.60                        =   up-to-date with port
p5-WWW-RobotRules-6.02             =   up-to-date with port
p5-XML-NamespaceSupport-1.11       =   up-to-date with port
p5-XML-Parser-2.41_1               =   up-to-date with port
p5-XML-SAX-0.99_1                  =   up-to-date with port
p5-XML-SAX-Base-1.08               =   up-to-date with port
p5-XML-SAX-Expat-0.50              =   up-to-date with port
p5-YAML-Syck-1.27                  =   up-to-date with port
p5-libwww-6.05                     =   up-to-date with port
p5-version-0.99.04                 =   up-to-date with port
pango-1.34.1_2                     =   up-to-date with port
patch-2.7.1                        =   up-to-date with port
pciids-20140402                    =   up-to-date with port
pcre-8.34                          =   up-to-date with port
pdflib-7.0.5_2                     =   up-to-date with port
pear-1.9.4_3                       =   up-to-date with port
pecl-APC-3.1.14_1                  =   up-to-date with port
pecl-intl-3.0.0_1                  =   up-to-date with port
pecl-pdflib-3.0.4                  =   up-to-date with port
perl5-5.16.3_9                     =   up-to-date with port
php5-5.4.27                        =   up-to-date with port
php5-bz2-5.4.27                    =   up-to-date with port
php5-ctype-5.4.27                  =   up-to-date with port
php5-dom-5.4.27                    =   up-to-date with port
php5-exif-5.4.27                   =   up-to-date with port
php5-fileinfo-5.4.27               =   up-to-date with port
php5-filter-5.4.27                 =   up-to-date with port
php5-gd-5.4.27                     =   up-to-date with port
php5-gettext-5.4.27                =   up-to-date with port
php5-hash-5.4.27                   =   up-to-date with port
php5-iconv-5.4.27                  =   up-to-date with port
php5-json-5.4.27                   =   up-to-date with port
php5-mbstring-5.4.27               =   up-to-date with port
php5-mcrypt-5.4.27                 =   up-to-date with port
php5-openssl-5.4.27                =   up-to-date with port
php5-pdo-5.4.27                    =   up-to-date with port
php5-pdo_pgsql-5.4.27              =   up-to-date with port
php5-pgsql-5.4.27                  =   up-to-date with port
php5-posix-5.4.27                  =   up-to-date with port
php5-pspell-5.4.27                 =   up-to-date with port
php5-session-5.4.27                =   up-to-date with port
php5-shmop-5.4.27                  =   up-to-date with port
php5-simplexml-5.4.27              =   up-to-date with port
php5-sockets-5.4.27                =   up-to-date with port
php5-tokenizer-5.4.27              =   up-to-date with port
php5-xml-5.4.27                    =   up-to-date with port
php5-xmlreader-5.4.27              =   up-to-date with port
php5-xmlwriter-5.4.27              =   up-to-date with port
php5-xsl-5.4.27                    =   up-to-date with port
php5-zip-5.4.27                    =   up-to-date with port
php5-zlib-5.4.27                   =   up-to-date with port
phppgadmin-5.1                     =   up-to-date with port
pico-alpine-2.00_1                 =   up-to-date with port
pixman-0.32.4                      =   up-to-date with port
pkg-1.2.7_2                        =   up-to-date with port
pkgconf-0.9.5                      =   up-to-date with port
png-1.5.18                         =   up-to-date with port
policykit-0.9_7                    =   up-to-date with port
polkit-0.105_2                     =   up-to-date with port
popt-1.16                          =   up-to-date with port
pork-0.99.8.1                      =   up-to-date with port
portmaster-3.17.4                  =   up-to-date with port
portupgrade-2.4.12,2               =   up-to-date with port
postfix-2.11.0,1                   =   up-to-date with port
postfix-policyd-spf-perl-2.007     =   up-to-date with port
postgresql93-client-9.3.4          =   up-to-date with port
postgresql93-server-9.3.4          =   up-to-date with port
printproto-1.0.5                   =   up-to-date with port
procmail-3.22_7                    =   up-to-date with port
pth-2.0.7                          =   up-to-date with port
py27-bsddb-2.7.6_3                 =   up-to-date with port
py27-cffi-0.8.1                    =   up-to-date with port
py27-cryptography-0.2.2_1          =   up-to-date with port
py27-docutils-0.11                 =   up-to-date with port
py27-libxml2-2.8.0_1               =   up-to-date with port
py27-openssl-0.14                  =   up-to-date with port
py27-pycparser-2.10                =   up-to-date with port
py27-pytz-2014.1.1,1               =   up-to-date with port
py27-setuptools27-2.0.1            =   up-to-date with port
py27-six-1.5.2                     =   up-to-date with port
py27-sqlite3-2.7.6_3               =   up-to-date with port
python-2.7_1,2                     =   up-to-date with port
python2-2_2                        =   up-to-date with port
python27-2.7.6_4                   =   up-to-date with port
python32-3.2.5_8                   =   up-to-date with port
qmake-3.3.8_1                      =   up-to-date with port
qt4-assistant-4.8.5_1              =   up-to-date with port
qt4-clucene-4.8.5                  =   up-to-date with port
qt4-corelib-4.8.5_3                =   up-to-date with port
qt4-declarative-4.8.5              =   up-to-date with port
qt4-doc-4.8.5                      =   up-to-date with port
qt4-gui-4.8.5                      =   up-to-date with port
qt4-help-4.8.5                     =   up-to-date with port
qt4-linguist-4.8.5_1               =   up-to-date with port
qt4-moc-4.8.5_1                    =   up-to-date with port
qt4-network-4.8.5                  =   up-to-date with port
qt4-opengl-4.8.5                   =   up-to-date with port
qt4-rcc-4.8.5                      =   up-to-date with port
qt4-script-4.8.5                   =   up-to-date with port
qt4-sql-4.8.5                      =   up-to-date with port
qt4-sqlite-plugin-4.8.5            =   up-to-date with port
qt4-svg-4.8.5                      =   up-to-date with port
qt4-uic-4.8.5                      =   up-to-date with port
qt4-webkit-4.8.5_1                 =   up-to-date with port
qt4-xml-4.8.5                      =   up-to-date with port
qt4-xmlpatterns-4.8.5              =   up-to-date with port
randrproto-1.4.0                   =   up-to-date with port
razor-agents-2.84                  =   up-to-date with port
re2c-0.13.6                        =   up-to-date with port
recordproto-1.14.2                 =   up-to-date with port
renderproto-0.11.1                 =   up-to-date with port
roundcube-1.0.0,1                  =   up-to-date with port
rsync-3.1.0_2                      =   up-to-date with port
ruby-1.9.3.484_2,1                 =   up-to-date with port
ruby19-bdb-0.6.6_3                 =   up-to-date with port
screen-4.0.3_14                    =   up-to-date with port
scrnsaverproto-1.2.2               =   up-to-date with port
sdocbook-xml-1.1_1,2               =   up-to-date with port
serf-1.3.4                         =   up-to-date with port
shared-mime-info-1.1               =   up-to-date with port
sl-3.03                            =   up-to-date with port
smartmontools-6.2_2                =   up-to-date with port
spamassassin-3.4.0_9               =   up-to-date with port
sqlite3-3.8.4.2                    =   up-to-date with port
subversion-1.8.8_1                 =   up-to-date with port
sudo-1.8.10.p2                     =   up-to-date with port
svgalib-1.4.3_6                    =   up-to-date with port
t1lib-5.1.2_2,1                    =   up-to-date with port
tcl85-8.5.15_2                     =   up-to-date with port
tcplist-2.2_1                      =   up-to-date with port
tiff-4.0.3                         =   up-to-date with port
tripwire-2.4.2.2_2                 =   up-to-date with port
unrar-5.01,5                       =   up-to-date with port
unzip-6.0_1                        =   up-to-date with port
unzoo-4.4_2                        =   up-to-date with port
uthash-1.9.8p2                     =   up-to-date with port
v4l_compat-1.0.20120501_1          =   up-to-date with port
videoproto-2.3.2                   =   up-to-date with port
vim-7.4.240                        =   up-to-date with port
wget-1.15                          =   up-to-date with port
xauth-1.0.8                        =   up-to-date with port
xbitmaps-1.1.1                     =   up-to-date with port
xcb-util-0.3.9_1,1                 =   up-to-date with port
xcb-util-renderutil-0.3.8          =   up-to-date with port
xdg-utils-1.0.2.20130919_1         =   up-to-date with port
xextproto-7.2.1                    =   up-to-date with port
xf86miscproto-0.9.3                =   up-to-date with port
xf86vidmodeproto-2.3.1             =   up-to-date with port
xineramaproto-1.2.1                =   up-to-date with port
xkbcomp-1.2.4                      =   up-to-date with port
xkeyboard-config-2.10.1            =   up-to-date with port
xmake-1.06                         =   up-to-date with port
xmlcatmgr-2.2                      =   up-to-date with port
xmlcharent-0.3_2                   =   up-to-date with port
xorg-fonts-truetype-7.7_1          =   up-to-date with port
xorg-macros-1.18.0                 =   up-to-date with port
xorg-server-1.7.7_11,1             =   up-to-date with port
xprop-1.2.2                        =   up-to-date with port
xproto-7.0.25                      =   up-to-date with port
xset-1.2.3_1                       =   up-to-date with port
xterm-303                          =   up-to-date with port
xtrans-1.3.2                       =   up-to-date with port
yasm-1.2.0                         =   up-to-date with port
zip-3.0                            =   up-to-date with port
zoneinfo-2014.b                    =   up-to-date with port
zsh-5.0.5                          =   up-to-date with port
angst(~) >
Comment 6 Johannes Jost Meixner freebsd_committer 2014-04-12 14:41:54 UTC
Responsible Changed
From-To: freebsd-python->xmj

I'll take it.
Comment 7 Kevin Thompson 2014-04-12 14:47:14 UTC
Here's something else that's interesting - there's a bunch of old files in  
the directory that no pkg is claiming responsibility for. I noticed that  
the 'setuptools' file had an old timestamp, which doesn't make sense given  
that I should have just recently upgraded everything.

Did something go wrong with the uninstalls? With plist generation from  
older ports? Did I do something wrong?


angst(/usr/local/lib/python2.7/site-packages) > ls | xargs -n 1 pkg which  
| grep "not found in the database"
/usr/local/lib/python2.7/site-packages/Babel-0.9.6-py2.7.egg was not found  
in the database
/usr/local/lib/python2.7/site-packages/BitCrawler was not found in the  
database
/usr/local/lib/python2.7/site-packages/BitQueue was not found in the  
database
/usr/local/lib/python2.7/site-packages/BitTornado was not found in the  
database
/usr/local/lib/python2.7/site-packages/BitTorrent was not found in the  
database
/usr/local/lib/python2.7/site-packages/MarkupSafe-0.15-py2.7-freebsd-9.1-STABLE-amd64.egg  
was not found in the database
/usr/local/lib/python2.7/site-packages/OpenSSL was not found in the  
database
/usr/local/lib/python2.7/site-packages/Reporter.pyc was not found in the  
database
/usr/local/lib/python2.7/site-packages/Reporter.pyo was not found in the  
database
/usr/local/lib/python2.7/site-packages/ScanView.pyc was not found in the  
database
/usr/local/lib/python2.7/site-packages/ScanView.pyo was not found in the  
database
/usr/local/lib/python2.7/site-packages/_cffi_backend.so* was not found in  
the database
/usr/local/lib/python2.7/site-packages/_markerlib was not found in the  
database
/usr/local/lib/python2.7/site-packages/cffi was not found in the database
/usr/local/lib/python2.7/site-packages/cffi-0.8.1-py2.7.egg-info was not  
found in the database
/usr/local/lib/python2.7/site-packages/cryptography was not found in the  
database
/usr/local/lib/python2.7/site-packages/cryptography-0.2.2-py2.7.egg-info  
was not found in the database
/usr/local/lib/python2.7/site-packages/distribute-0.6.35-py2.7.egg was not  
found in the database
/usr/local/lib/python2.7/site-packages/distribute.pth was not found in the  
database
/usr/local/lib/python2.7/site-packages/docutils was not found in the  
database
/usr/local/lib/python2.7/site-packages/docutils-0.11-py2.7.egg-info was  
not found in the database
/usr/local/lib/python2.7/site-packages/easy-install.pth was not found in  
the database
/usr/local/lib/python2.7/site-packages/khashmir was not found in the  
database
/usr/local/lib/python2.7/site-packages/libxml2mod.la* was not found in the  
database
/usr/local/lib/python2.7/site-packages/libxml2mod.so* was not found in the  
database
/usr/local/lib/python2.7/site-packages/lit34 was not found in the database
/usr/local/lib/python2.7/site-packages/pyOpenSSL-0.13-py2.7.egg-info was  
not found in the database
/usr/local/lib/python2.7/site-packages/pyOpenSSL-0.14-py2.7.egg-info was  
not found in the database
/usr/local/lib/python2.7/site-packages/pycparser was not found in the  
database
/usr/local/lib/python2.7/site-packages/pycparser-2.10-py2.7.egg-info was  
not found in the database
/usr/local/lib/python2.7/site-packages/pytz was not found in the database
/usr/local/lib/python2.7/site-packages/pytz-2014.1.1-py2.7.egg-info was  
not found in the database
/usr/local/lib/python2.7/site-packages/setuptools was not found in the  
database
/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info  
was not found in the database
/usr/local/lib/python2.7/site-packages/setuptools-2.0.1-py2.7.egg-info was  
not found in the database
/usr/local/lib/python2.7/site-packages/setuptools.pth was not found in the  
database
/usr/local/lib/python2.7/site-packages/site.py was not found in the  
database
/usr/local/lib/python2.7/site-packages/site.pyc was not found in the  
database
/usr/local/lib/python2.7/site-packages/site.pyo was not found in the  
database
/usr/local/lib/python2.7/site-packages/six-1.5.2-py2.7.egg-info was not  
found in the database
/usr/local/lib/python2.7/site-packages/startfile.pyc was not found in the  
database
/usr/local/lib/python2.7/site-packages/startfile.pyo was not found in the  
database
angst(/usr/local/lib/python2.7/site-packages) >
Comment 8 Johannes Jost Meixner freebsd_committer 2014-04-12 14:51:14 UTC
On Sat, Apr 12, 2014 at 09:37:02AM -0400, Kevin Thompson wrote:
> Here you go:
> 
> angst(/usr/local/lib/python2.7/site-packages) > ls -ltra
> total 3838

[...snip...]
> -rw-r--r--   1 root  wheel   215B Jun 11  2013 distribute.pth
> -rw-r--r--   1 root  wheel   849K Jun 11  2013 distribute-0.6.35-py2.7.egg

[...snip...]

Could you please move these files to /tmp temporarily, and then try to install
any python ports?

-- 
Johannes Meixner
Ports Committer
Comment 9 Kevin Thompson 2014-04-12 15:13:31 UTC
On Sat, 12 Apr 2014 09:51:14 -0400, Johannes Meixner <xmj@freebsd.org>  
wrote:

> On Sat, Apr 12, 2014 at 09:37:02AM -0400, Kevin Thompson wrote:
>> Here you go:
>>
>> angst(/usr/local/lib/python2.7/site-packages) > ls -ltra
>> total 3838
> [...snip...]
>> -rw-r--r--   1 root  wheel   215B Jun 11  2013 distribute.pth
>> -rw-r--r--   1 root  wheel   849K Jun 11  2013  
>> distribute-0.6.35-py2.7.egg
> [...snip...]
>
> Could you please move these files to /tmp temporarily, and then try to  
> install
> any python ports?


First, make sure it's still broken the way it had been:

> angst(/usr/ports/security/py-openssl) # date
> Sat Apr 12 10:02:33 EDT 2014
>angst(/usr/ports/security/py-openssl) # make build reinstall
> ===>  License APACHE20 accepted by the user
> ===>  Found saved configuration for py27-openssl-0.14
> ===>   py27-openssl-0.14 depends on file: /usr/local/sbin/pkg - found
> ===> Fetching all distfiles required by py27-openssl-0.14 for building
> ===>  Extracting for py27-openssl-0.14
> => SHA256 Checksum OK for pyOpenSSL-0.14.tar.gz.
> ===>  Patching for py27-openssl-0.14
> ===>   py27-openssl-0.14 depends on package: py27-setuptools27>0 - found
> ===>   py27-openssl-0.14 depends on file: /usr/local/bin/python2.7 -  
> found
> ===>  Configuring for py27-openssl-0.14
> [... snip ...]
> ===>  Installing for py27-openssl-0.14
> ===>   Registering installation for py27-openssl-0.14
> pkg-static: Plist error, directory listed as a file:  
> lib/python2.7/site-packages/pyOpenSSL-0.14-py2.7.egg-info
> *** Error code 74


Then move files:

> angst(/usr/local/lib/python2.7/site-packages) # mv distribute.pth  
> /tmp/python-bak/
> angst(/usr/local/lib/python2.7/site-packages) # mv  
> distribute-0.6.35-py2.7.egg /tmp/python-bak/


Then re-attempt build - it breaks, but in a different way:
> angst(/usr/ports/security/py-openssl) # make clean
> ===>  Cleaning for py27-openssl-0.14
> angst(/usr/ports/security/py-openssl) # make build reinstall
> ===>  License APACHE20 accepted by the user
> ===>  Found saved configuration for py27-openssl-0.14
> ===>   py27-openssl-0.14 depends on file: /usr/local/sbin/pkg - found
> ===> Fetching all distfiles required by py27-openssl-0.14 for building
> ===>  Extracting for py27-openssl-0.14
> => SHA256 Checksum OK for pyOpenSSL-0.14.tar.gz.
> ===>  Patching for py27-openssl-0.14
> ===>   py27-openssl-0.14 depends on package: py27-setuptools27>0 - found
> ===>   py27-openssl-0.14 depends on file: /usr/local/bin/python2.7 -  
> found
> ===>  Configuring for py27-openssl-0.14
> /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown  
> distribution option: 'test_suite'
>   warnings.warn(msg)
> /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown  
> distribution option: 'install_requires'
>   warnings.warn(msg)
> running config
> ===>  Building for py27-openssl-0.14
> /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown  
> distribution option: 'test_suite'
>   warnings.warn(msg)
> /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown  
> distribution option: 'install_requires'
>   warnings.warn(msg)
> running build
> running build_py
> creating build
> creating build/lib
> creating build/lib/OpenSSL
> copying OpenSSL/__init__.py -> build/lib/OpenSSL
> copying OpenSSL/tsafe.py -> build/lib/OpenSSL
> copying OpenSSL/rand.py -> build/lib/OpenSSL
> copying OpenSSL/crypto.py -> build/lib/OpenSSL
> copying OpenSSL/SSL.py -> build/lib/OpenSSL
> copying OpenSSL/version.py -> build/lib/OpenSSL
> creating build/lib/OpenSSL/test
> copying OpenSSL/test/__init__.py -> build/lib/OpenSSL/test
> copying OpenSSL/test/util.py -> build/lib/OpenSSL/test
> copying OpenSSL/test/test_crypto.py -> build/lib/OpenSSL/test
> copying OpenSSL/test/test_rand.py -> build/lib/OpenSSL/test
> copying OpenSSL/test/test_ssl.py -> build/lib/OpenSSL/test
> copying OpenSSL/_util.py -> build/lib/OpenSSL
> ===>  Staging for py27-openssl-0.14
> ===>   py27-openssl-0.14 depends on package: py27-cryptography>=0.2.1 -  
> found
> ===>   py27-openssl-0.14 depends on package: py27-six>=1.5.2 - found
> ===>   py27-openssl-0.14 depends on package: py27-setuptools27>0 - found
> ===>   py27-openssl-0.14 depends on file: /usr/local/bin/python2.7 -  
> found
> ===>   Generating temporary packing list
> /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown  
> distribution option: 'test_suite'
>   warnings.warn(msg)
> /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown  
> distribution option: 'install_requires'
>   warnings.warn(msg)
> usage: -c [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
>    or: -c --help [cmd1 cmd2 ...]
>    or: -c --help-commands
>    or: -c cmd --help
>error: option --single-version-externally-managed not recognized
> *** Error code 1
>Stop.
> make[2]: stopped in /usr/ports/security/py-openssl
> *** Error code 1
Comment 10 Kevin Thompson 2014-04-12 16:56:53 UTC
On Sat, 12 Apr 2014 10:36:37 -0400, Johannes Meixner <xmj@freebsd.org>  
wrote:

> On Sat, Apr 12, 2014 at 10:13:31AM -0400, Kevin Thompson wrote:
>> > ===>   Generating temporary packing list
>> > /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown
>> > distribution option: 'test_suite'
>> >   warnings.warn(msg)
>> > /usr/local/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown
>> > distribution option: 'install_requires'
>> >   warnings.warn(msg)
>> > usage: -c [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
>> >    or: -c --help [cmd1 cmd2 ...]
>> >    or: -c --help-commands
>> >    or: -c cmd --help
>> >error: option --single-version-externally-managed not recognized
>> > *** Error code 1
>> >Stop.
>> > make[2]: stopped in /usr/ports/security/py-openssl
>> > *** Error code 1
>
> This is a bug with distutils. could you please remove
> /usr/local/lib/python2.7/site-packages/setuptools.pth
> and reinstall devel/py-setuptools27, then try reinstalling anything once  
> more?

I tried it one way with the distribute files replaced and with the  
distribute files moved out as per your last request; neither worked.

If it's at all helpful, it seems like devel/py-setuptools27 doesn't  
install a setuptools.pth.




angst(/usr/local/lib/python2.7/site-packages) # cp  
/tmp/python-bak/distribute* .
angst(/usr/local/lib/python2.7/site-packages) # mv setuptools.pth  
/tmp/python-bak/
angst(/usr/local/lib/python2.7/site-packages) # cd  
/usr/ports/devel/py-setuptools27/
angst(/usr/ports/devel/py-setuptools27) # make build reinstall
===>  License PSFL accepted by the user
===>   py27-setuptools27-2.0.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py27-setuptools27-2.0.1 for  
building
===>  Extracting for py27-setuptools27-2.0.1
=> SHA256 Checksum OK for python/setuptools-2.0.1.tar.gz.
===>  Patching for py27-setuptools27-2.0.1
===>  Applying FreeBSD patches for py27-setuptools27-2.0.1
===>   py27-setuptools27-2.0.1 depends on file: /usr/local/bin/python2.7 -  
found
===>  Configuring for py27-setuptools27-2.0.1
running config
===>  Building for py27-setuptools27-2.0.1
[...snip...]
===>  Staging for py27-setuptools27-2.0.1
===>   py27-setuptools27-2.0.1 depends on file: /usr/local/bin/python2.7 -  
found
===>   Generating temporary packing list
running install
running build
running build_py
running install_lib
creating  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7
creating  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages
copying build/lib/pkg_resources.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages
copying build/lib/easy_install.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages
creating  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/archive_util.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/compat.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/depends.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/dist.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/extension.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/lib2to3_ex.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/package_index.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/py26compat.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/py27compat.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/py31compat.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/sandbox.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/script template (dev).py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/script template.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/site-patch.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/ssl_support.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/svn_utils.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/version.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
copying build/lib/setuptools/__init__.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools
creating  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/alias.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/bdist_egg.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/bdist_rpm.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/bdist_wininst.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/build_ext.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/build_py.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/develop.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/easy_install.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/egg_info.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/install.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/install_egg_info.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/install_lib.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/install_scripts.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/register.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/rotate.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/saveopts.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/sdist.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/setopt.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/test.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/upload_docs.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
copying build/lib/setuptools/command/__init__.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command
creating  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/doctest.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/environment.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/py26compat.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/script-with-bom.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/server.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_bdist_egg.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_build_ext.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_develop.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_dist_info.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_easy_install.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_egg_info.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_markerlib.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_packageindex.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_resources.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_sandbox.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_sdist.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_svn.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_test.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/__init__.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
copying build/lib/setuptools/tests/test_upload_docs.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests
creating  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/_markerlib
copying build/lib/_markerlib/markers.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/_markerlib
copying build/lib/_markerlib/__init__.py ->  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/_markerlib
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/pkg_resources.py  
to pkg_resources.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/easy_install.py  
to easy_install.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/archive_util.py  
to archive_util.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/compat.py  
to compat.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/depends.py  
to depends.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/dist.py  
to dist.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/extension.py  
to extension.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/lib2to3_ex.py  
to lib2to3_ex.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/package_index.py  
to package_index.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/py26compat.py  
to py26compat.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/py27compat.py  
to py27compat.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/py31compat.py  
to py31compat.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/sandbox.py  
to sandbox.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/script  
template (dev).py to script template (dev).pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/script  
template.py to script template.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/site-patch.py  
to site-patch.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/ssl_support.py  
to ssl_support.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/svn_utils.py  
to svn_utils.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/version.py  
to version.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/__init__.py  
to __init__.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/alias.py  
to alias.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/bdist_egg.py  
to bdist_egg.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/bdist_rpm.py  
to bdist_rpm.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/bdist_wininst.py  
to bdist_wininst.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/build_ext.py  
to build_ext.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/build_py.py  
to build_py.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/develop.py  
to develop.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/easy_install.py  
to easy_install.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/egg_info.py  
to egg_info.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/install.py  
to install.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/install_egg_info.py  
to install_egg_info.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/install_lib.py  
to install_lib.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/install_scripts.py  
to install_scripts.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/register.py  
to register.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/rotate.py  
to rotate.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/saveopts.py  
to saveopts.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/sdist.py  
to sdist.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/setopt.py  
to setopt.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/test.py  
to test.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/upload_docs.py  
to upload_docs.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/command/__init__.py  
to __init__.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/doctest.py  
to doctest.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/environment.py  
to environment.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/py26compat.py  
to py26compat.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/script-with-bom.py  
to script-with-bom.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/server.py  
to server.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_bdist_egg.py  
to test_bdist_egg.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_build_ext.py  
to test_build_ext.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_develop.py  
to test_develop.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_dist_info.py  
to test_dist_info.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_easy_install.py  
to test_easy_install.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_egg_info.py  
to test_egg_info.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_markerlib.py  
to test_markerlib.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_packageindex.py  
to test_packageindex.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_resources.py  
to test_resources.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_sandbox.py  
to test_sandbox.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_sdist.py  
to test_sdist.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_svn.py  
to test_svn.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_test.py  
to test_test.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/__init__.py  
to __init__.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools/tests/test_upload_docs.py  
to test_upload_docs.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/_markerlib/markers.py  
to markers.pyc
byte-compiling  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/_markerlib/__init__.py  
to __init__.pyc
writing byte-compilation script '/tmp/tmpiDBZhT.py'
/usr/local/bin/python2.7 -O /tmp/tmpiDBZhT.py
removing /tmp/tmpiDBZhT.py
running install_egg_info
running egg_info
writing requirements to setuptools.egg-info/requires.txt
writing setuptools.egg-info/PKG-INFO
writing top-level names to setuptools.egg-info/top_level.txt
writing dependency_links to setuptools.egg-info/dependency_links.txt
writing entry points to setuptools.egg-info/entry_points.txt
writing requirements to setuptools.egg-info/requires.txt
writing setuptools.egg-info/PKG-INFO
writing top-level names to setuptools.egg-info/top_level.txt
writing dependency_links to setuptools.egg-info/dependency_links.txt
writing entry points to setuptools.egg-info/entry_points.txt
reading manifest file 'setuptools.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'setuptools.egg-info/SOURCES.txt'
Copying setuptools.egg-info to  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/setuptools-2.0.1-py2.7.egg-info
running install_scripts
Installing easy_install script to  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/bin
Installing easy_install-2.7 script to  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/bin
writing list of installed files to  
'/usr/ports/devel/py-setuptools27/work/.PLIST.pymodtmp'
install  -o root -g wheel -m 444  
/usr/ports/devel/py-setuptools27/../py-setuptools/files/easy-install.pth.dist  
/usr/ports/devel/py-setuptools27/work/stage/usr/local/lib/python2.7/site-packages/
====> Compressing man pages (compress-man)
===>  Installing for py27-setuptools27-2.0.1
===>   Registering installation for py27-setuptools27-2.0.1
Installing py27-setuptools27-2.0.1... done
angst(/usr/ports/devel/py-setuptools27) #




angst(/usr/ports/devel/py-setuptools27) # cd ../../*/py-openssl
angst(/usr/ports/security/py-openssl) # rm -r work
angst(/usr/ports/security/py-openssl) # make build reinstall
===>  License APACHE20 accepted by the user
===>  Found saved configuration for py27-openssl-0.14
===>   py27-openssl-0.14 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py27-openssl-0.14 for building
===>  Extracting for py27-openssl-0.14
=> SHA256 Checksum OK for pyOpenSSL-0.14.tar.gz.
===>  Patching for py27-openssl-0.14
===>   py27-openssl-0.14 depends on package: py27-setuptools27>0 - found
===>   py27-openssl-0.14 depends on file: /usr/local/bin/python2.7 - found
===>  Configuring for py27-openssl-0.14
running config
===>  Building for py27-openssl-0.14
running build
running build_py
creating build
creating build/lib
creating build/lib/OpenSSL
copying OpenSSL/__init__.py -> build/lib/OpenSSL
copying OpenSSL/tsafe.py -> build/lib/OpenSSL
copying OpenSSL/rand.py -> build/lib/OpenSSL
copying OpenSSL/crypto.py -> build/lib/OpenSSL
copying OpenSSL/SSL.py -> build/lib/OpenSSL
copying OpenSSL/version.py -> build/lib/OpenSSL
creating build/lib/OpenSSL/test
copying OpenSSL/test/__init__.py -> build/lib/OpenSSL/test
copying OpenSSL/test/util.py -> build/lib/OpenSSL/test
copying OpenSSL/test/test_crypto.py -> build/lib/OpenSSL/test
copying OpenSSL/test/test_rand.py -> build/lib/OpenSSL/test
copying OpenSSL/test/test_ssl.py -> build/lib/OpenSSL/test
copying OpenSSL/_util.py -> build/lib/OpenSSL
===>  Staging for py27-openssl-0.14
===>   py27-openssl-0.14 depends on package: py27-cryptography>=0.2.1 -  
found
===>   py27-openssl-0.14 depends on package: py27-six>=1.5.2 - found
===>   py27-openssl-0.14 depends on package: py27-setuptools27>0 - found
===>   py27-openssl-0.14 depends on file: /usr/local/bin/python2.7 - found
===>   Generating temporary packing list
running install
running build
running build_py
running install_lib
creating /usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7
creating  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages
creating  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
copying build/lib/OpenSSL/__init__.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
copying build/lib/OpenSSL/tsafe.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
copying build/lib/OpenSSL/rand.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
copying build/lib/OpenSSL/crypto.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
copying build/lib/OpenSSL/SSL.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
copying build/lib/OpenSSL/version.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
creating  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test
copying build/lib/OpenSSL/test/__init__.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test
copying build/lib/OpenSSL/test/util.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test
copying build/lib/OpenSSL/test/test_crypto.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test
copying build/lib/OpenSSL/test/test_rand.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test
copying build/lib/OpenSSL/test/test_ssl.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test
copying build/lib/OpenSSL/_util.py ->  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/__init__.py  
to __init__.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/tsafe.py  
to tsafe.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/rand.py  
to rand.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/crypto.py  
to crypto.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/SSL.py  
to SSL.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/version.py  
to version.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test/__init__.py  
to __init__.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test/util.py  
to util.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test/test_crypto.py  
to test_crypto.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test/test_rand.py  
to test_rand.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/test/test_ssl.py  
to test_ssl.pyc
byte-compiling  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/OpenSSL/_util.py  
to _util.pyc
writing byte-compilation script '/tmp/tmp6Rj91D.py'
/usr/local/bin/python2.7 -O /tmp/tmp6Rj91D.py
removing /tmp/tmp6Rj91D.py
running install_egg_info
running egg_info
writing requirements to pyOpenSSL.egg-info/requires.txt
writing pyOpenSSL.egg-info/PKG-INFO
writing top-level names to pyOpenSSL.egg-info/top_level.txt
writing dependency_links to pyOpenSSL.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found

reading manifest file 'pyOpenSSL.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no previously-included files matching '*.pyc' found anywhere in  
distribution
no previously-included directories found matching 'doc/_build'
writing manifest file 'pyOpenSSL.egg-info/SOURCES.txt'
Copying pyOpenSSL.egg-info to  
/usr/ports/security/py-openssl/work/stage/usr/local/lib/python2.7/site-packages/pyOpenSSL-0.14-py2.7.egg-info
running install_scripts
writing list of installed files to  
'/usr/ports/security/py-openssl/work/.PLIST.pymodtmp'
(cd /usr/ports/security/py-openssl/work/pyOpenSSL-0.14/examples/ &&  
/bin/sh -c '(/usr/bin/find -d $0 $2 | /usr/bin/cpio -dumpl $1 >/dev/null   
2>&1) &&  /usr/sbin/chown -Rh root:wheel $1 &&  /usr/bin/find -d $0 $2  
-type d -exec chmod 755 $1/{} \; &&  /usr/bin/find -d$0 $2 -type f -exec  
chmod 444 $1/{} \;' -- .  
/usr/ports/security/py-openssl/work/stage/usr/local/share/examples/py-openssl)
====> Compressing man pages (compress-man)
===>  Installing for py27-openssl-0.14
===>   Registering installation for py27-openssl-0.14
pkg-static: Plist error, directory listed as a file:  
lib/python2.7/site-packages/pyOpenSSL-0.14-py2.7.egg-info
*** Error code 74
Comment 11 Johannes Jost Meixner freebsd_committer 2014-04-13 06:08:39 UTC
On Sat, Apr 12, 2014 at 11:56:53AM -0400, Kevin Thompson wrote:
> writing list of installed files to  
> '/usr/ports/security/py-openssl/work/.PLIST.pymodtmp'
> (cd /usr/ports/security/py-openssl/work/pyOpenSSL-0.14/examples/ &&  
> /bin/sh -c '(/usr/bin/find -d $0 $2 | /usr/bin/cpio -dumpl $1 >/dev/null   
> 2>&1) &&  /usr/sbin/chown -Rh root:wheel $1 &&  /usr/bin/find -d $0 $2  
> -type d -exec chmod 755 $1/{} \; &&  /usr/bin/find -d$0 $2 -type f -exec  
> chmod 444 $1/{} \;' -- .  
> /usr/ports/security/py-openssl/work/stage/usr/local/share/examples/py-openssl)
> ====> Compressing man pages (compress-man)
> ===>  Installing for py27-openssl-0.14
> ===>   Registering installation for py27-openssl-0.14
> pkg-static: Plist error, directory listed as a file:  
> lib/python2.7/site-packages/pyOpenSSL-0.14-py2.7.egg-info
> *** Error code 74


You should only see this if you have a stale install of distribute and/or an
install of setuptools not originating from our portstree.
Which you really shouldn't have anymore - making this a little odd.

So before doing anything, could you please post another output of 

ls -la /usr/local/lib/python2.7/site-packages/ | grep dist
ls -la /usr/local/lib/python2.7/site-packages/ | grep setup

?

> I tried it one way with the distribute files replaced and with the  
> distribute files moved out as per your last request; neither worked.


Then please move *any* version of setuptools and distribute (especially but not
exclusively .egg and .pth files) out of the way, reinstall py-setuptools27 and
try again to install py-openssl.


In the meantime we've written up additional documentation of the problem - 
http://lists.freebsd.org/pipermail/freebsd-python/2014-April/006828.html




-- 
Johannes Meixner
Ports Committer
Comment 12 dfilter service freebsd_committer 2014-04-13 10:39:25 UTC
Author: koobs
Date: Sun Apr 13 09:39:22 2014
New Revision: 351193
URL: http://svnweb.freebsd.org/changeset/ports/351193
QAT: https://qat.redports.org/buildarchive/r351193/

Log:
  UPDATING: Add entry for Python/pkg users and egg-info Plist errors
  
  Add instructions for Python/pkg users on how to resolve a Plist error when
  updating ports in a Python environment that contains multiple versions of
  setuptools.
  
  PR:		ports/188431
  Reported by:	Andrew Berg (via IRC), Olaf Kolkman (via Twitter) and others

Modified:
  head/UPDATING

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sun Apr 13 09:18:40 2014	(r351192)
+++ head/UPDATING	Sun Apr 13 09:39:22 2014	(r351193)
@@ -5,6 +5,33 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20140413:
+  AFFECTS: Users of Python and pkg >= 1.2.7_1
+  AUTHOR: koobs@FreeBSD.org
+
+  There have been reports of the following error when upgrading Python ports:
+
+    pkg-static: Plist error, directory listed as a file: <name>.egg-info
+
+  The cause is an outdated or unpatched version of setuptools or distribute
+  installed by the user, or leftover from previous upgrades being used during
+  the `setup.py install` phase. pkg >= 1.2.7_1 now generates an error where
+  previously it did not.
+
+  Users should inspect their ${LOCALBASE}/lib/pythonX.Y/site-packages
+  directory, and remove any entries that reference versions of
+  setuptools or distribute *not* provided by ports or packages.
+
+  Examples of entries that may be removed are:
+
+    1) distribute-0.6.35-py2.7.egg
+    2) setuptools-0.6c11-py2.7.egg
+    3) *Any* version of setuptools directly from PyPi via pip or easy_install
+
+  More information is available here:
+
+    http://lists.freebsd.org/pipermail/freebsd-ports/2014-April/091618.html
+
 20140410:
   AFFECTS: users of mail/vpopmail
   AUTHOR: bdrewery@FreeBSD.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 13 Johannes Jost Meixner freebsd_committer 2014-04-16 06:15:58 UTC
State Changed
From-To: open->feedback

Awaiting submitter feedback
Comment 14 Kevin Thompson 2014-04-17 20:02:46 UTC
On 2014-04-13 01:08, Johannes Meixner wrote:
> On Sat, Apr 12, 2014 at 11:56:53AM -0400, Kevin Thompson wrote:
>> writing list of installed files to
>> '/usr/ports/security/py-openssl/work/.PLIST.pymodtmp'
>> (cd /usr/ports/security/py-openssl/work/pyOpenSSL-0.14/examples/ &&
>> /bin/sh -c '(/usr/bin/find -d $0 $2 | /usr/bin/cpio -dumpl $1 
>> >/dev/null
>> 2>&1) &&  /usr/sbin/chown -Rh root:wheel $1 &&  /usr/bin/find -d $0 $2
>> -type d -exec chmod 755 $1/{} \; &&  /usr/bin/find -d$0 $2 -type f 
>> -exec
>> chmod 444 $1/{} \;' -- .
>> /usr/ports/security/py-openssl/work/stage/usr/local/share/examples/py-openssl)
>> ====> Compressing man pages (compress-man)
>> ===>  Installing for py27-openssl-0.14
>> ===>   Registering installation for py27-openssl-0.14
>> pkg-static: Plist error, directory listed as a file:
>> lib/python2.7/site-packages/pyOpenSSL-0.14-py2.7.egg-info
>> *** Error code 74
> 
> You should only see this if you have a stale install of distribute 
> and/or an
> install of setuptools not originating from our portstree.
> Which you really shouldn't have anymore - making this a little odd.
> 
> So before doing anything, could you please post another output of
> 
> ls -la /usr/local/lib/python2.7/site-packages/ | grep dist
> ls -la /usr/local/lib/python2.7/site-packages/ | grep setup
> 
> ?
> 
>> I tried it one way with the distribute files replaced and with the
>> distribute files moved out as per your last request; neither worked.
> 
> Then please move *any* version of setuptools and distribute (especially 
> but not
> exclusively .egg and .pth files) out of the way, reinstall 
> py-setuptools27 and
> try again to install py-openssl.
> 
> 
> In the meantime we've written up additional documentation of the 
> problem -
> http://lists.freebsd.org/pipermail/freebsd-python/2014-April/006828.html


I was able to successfully install py-openssl after removing:
   - setuptools-0.6c11-py2.7.egg-info
   - distribute-0.6.35-py2.7.egg
   - distribute.pth


> angst(/usr/local/lib/python2.7/site-packages) # ls
> BTQueue-0.1.3-py2.7.egg-info                        easy-install.pth
> Babel-0.9.6-py2.7.egg/                              khashmir/
> BitCrawler/                                         libxml2.py
> BitQueue/                                           libxml2.pyc
> BitTornado/                                         libxml2.pyo
> BitTorrent/                                         libxml2mod.a
> MarkupSafe-0.15-py2.7-freebsd-9.1-STABLE-amd64.egg/ libxml2mod.la*
> OpenSSL/                                            libxml2mod.so*
> README                                              lit34/
> Reporter.pyc                                        
> pyOpenSSL-0.13-py2.7.egg-info
> Reporter.pyo                                        
> pyOpenSSL-0.14-py2.7.egg-info/
> ScanView.pyc                                        pycparser/
> ScanView.pyo                                        
> pycparser-2.10-py2.7.egg-info/
> _cffi_backend.so*                                   pytz/
> cffi/                                               
> pytz-2014.1.1-py2.7.egg-info/
> cffi-0.8.1-py2.7.egg-info/                          
> setuptools-0.6c11-py2.7.egg-info
> cryptography/                                       site.py
> cryptography-0.2.2-py2.7.egg-info/                  site.pyc
> distribute-0.6.35-py2.7.egg                         site.pyo
> distribute.pth                                      
> six-1.5.2-py2.7.egg-info/
> docutils/                                           six.py
> docutils-0.11-py2.7.egg-info/                       six.pyc
> drv_libxml2.py                                      six.pyo
> drv_libxml2.pyc                                     startfile.pyc
> drv_libxml2.pyo                                     startfile.pyo
> angst(/usr/local/lib/python2.7/site-packages) # find . | grep setup
> ./setuptools-0.6c11-py2.7.egg-info
> ./khashmir/setup.py
> ./khashmir/setup.pyc
> ./khashmir/setup.pyo
> angst(/usr/local/lib/python2.7/site-packages) # mv 
> setuptools-0.6c11-py2.7.egg-info /tmp/python-bak2/
> angst(/usr/local/lib/python2.7/site-packages) # find . | grep dist
> ./distribute.pth
> ./distribute-0.6.35-py2.7.egg
> angst(/usr/local/lib/python2.7/site-packages) # mv distribute* 
> /tmp/python-bak2/


If it's any help, I install only through ports, so it would seem that 
the old setuptools port I had installed however many months back may 
have been the source of some of these troubles.

I went a little deeper and found that a lot of stale files are being 
left behind:

> angst(/usr/local/lib/python2.7/site-packages) # find . -type f | xargs 
> -n 1 pkg which | grep 'was not found in the database' | wc -l
>      554

So I'm going to uninstall all of my python2.7 ports, run that above line 
to see what is left and stale, remove all of it, and then reinstall.

Thanks so much for your help!
--Kevin Thompson
Comment 15 Kevin Thompson 2014-04-17 20:41:49 UTC
On 2014-04-17 15:02, Kevin Thompson wrote:
>> angst(/usr/local/lib/python2.7/site-packages) # find . -type f | xargs 
>> -n 1 pkg which | grep 'was not found in the database' | wc -l
>>      554
> 
> So I'm going to uninstall all of my python2.7 ports, run that above
> line to see what is left and stale, remove all of it, and then
> reinstall.

I realized there is a small bug in that command line - it doesn't handle 
spaces correctly.

A better version would be something like:
> find . -type f -print0 | xargs -0 -n 1 pkg which | grep 'was not found 
> in the database'

Anyway. I did uninstall everything python, ran the above command to 
clear out old files - mostly Babel, MarkupSafe, Reporter, old OpenSSL, 
and site.py


After cleaning, I reinstalled my ports as normal, and then ran the 
amended 'find' command above. Only one file appears to be broken in the 
current py-setuptools27 .PLIST:

> angst(/usr/local/lib/python2.7/site-packages) # find . -type f -print0 
> | xargs -0 -n 1 pkg which | grep -v 'was installed by package'
> /usr/local/lib/python2.7/site-packages/easy-install.pth was not found 
> in the database
> angst(/usr/local/lib/python2.7/site-packages) # ls | grep easy-install
> easy-install.pth
> easy-install.pth.dist

I'm guessing easy-install.pth is probably generated or copied from 
easy-install.pth.dist, since the dist file appears to be the only copy 
in the port's work directory, and does appear to be known to pkgng:
> angst(/usr/ports/devel/py-setuptools27) # find . | grep easy-install
> ./work/stage/usr/local/lib/python2.7/site-packages/easy-install.pth.dist

> angst(/usr/local/lib/python2.7/site-packages) # diff easy-install.pth*
> <no differences>
> 
> angst(/usr/local/lib/python2.7/site-packages) # pkg which 
> easy-install.pth
> /usr/local/lib/python2.7/site-packages/easy-install.pth was not found 
> in the database
> 
> angst(/usr/local/lib/python2.7/site-packages) # pkg which 
> easy-install.pth.dist
> /usr/local/lib/python2.7/site-packages/easy-install.pth.dist was 
> installed by package py27-setuptools27-2.0.1


Figured I'd let you know in case any of this is helpful.

Cheers!
--Kevin Thompson
Comment 16 Johannes Jost Meixner freebsd_committer 2014-04-18 04:26:55 UTC
On Thu, Apr 17, 2014 at 03:41:49PM -0400, Kevin Thompson wrote:
> > So I'm going to uninstall all of my python2.7 ports, run that above line to
> > see what is left and stale, remove all of it, and then reinstall.


Definitely a good idea if nothing else is working.

Working with python myself, another recommendation is to use virtualenv
whenever you need python packages that are not (currently?) in the portstree. 

This way, you don't risk as much 'corrupting' lib/python2.7/site-packages by
third-party package handling.

Many python packages require versions of package dependencies we might not have
in our portstree (e.g.  ports setuptools is 2.0.1 and I've seen packets
requiring >=3.4.1) 

> Anyway. I did uninstall everything python, ran the above command to clear out
> old files - mostly Babel, MarkupSafe, Reporter, old OpenSSL, and site.py


Sounds good, do things work properly now?

[...snip...]
> Figured I'd let you know in case any of this is helpful.

It is, I've reported it and we'll see that this gets taken care of soon.

Best, Johannes

--
Johannes Meixner        | FreeBSD Committer 
xmj@FreeBSD.org   	| http://people.freebsd.org/~xmj
Comment 17 Johannes Jost Meixner freebsd_committer 2014-05-25 13:28:57 UTC
State Changed
From-To: feedback->closed

Closed (Feedback timeout)